Package org.firebirdsql.gds

## Enum ParameterTagMapping

- java.lang.Object
- - java.lang.Enum<ParameterTagMapping>
  - - org.firebirdsql.gds.ParameterTagMapping

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ParameterTagMapping>`

    public enum ParameterTagMapping
    extends java.lang.Enum<ParameterTagMapping>

Mapping of connection parameter buffer item tags.

This mapping is intended to reduce code duplication with database and service parameter buffers.

For now this only contains authentication related tags. This may be expanded in the future.

Since:
  3.0
Author:
  Mark Rotteveel

### Enum Constant Summary

Enum Constants
`DPB`
`SPB`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract int` `getAuthPluginListTag()`
`abstract int` `getAuthPluginNameTag()`
`abstract int` `getConfigTag()`
`abstract int` `getEncryptedPasswordTag()`
`abstract int` `getPasswordTag()`
`abstract int` `getSpecificAuthDataTag()`
`abstract int` `getTrustedAuthTag()`
`abstract int` `getUserNameTag()`
`static ParameterTagMapping` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ParameterTagMapping[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DPB

    public static final ParameterTagMapping DPB

#### SPB

    public static final ParameterTagMapping SPB

### Method Detail

#### values

    public static ParameterTagMapping[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ParameterTagMapping c : ParameterTagMapping.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ParameterTagMapping valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getUserNameTag

    public abstract int getUserNameTag()

#### getPasswordTag

    public abstract int getPasswordTag()

#### getEncryptedPasswordTag

    public abstract int getEncryptedPasswordTag()

#### getTrustedAuthTag

    public abstract int getTrustedAuthTag()

#### getAuthPluginNameTag

    public abstract int getAuthPluginNameTag()

#### getAuthPluginListTag

    public abstract int getAuthPluginListTag()

#### getSpecificAuthDataTag

    public abstract int getSpecificAuthDataTag()

#### getConfigTag

    public abstract int getConfigTag()